package com.yunzhi.demo.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 人员
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaStudent对象", description="学生")
public class TaStudent implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学生ID")
    @TableId(value = "student_id", type = IdType.UUID)
    private String studentId;

    @ApiModelProperty(value = "映射人员ID")
    private String personId;

    @ApiModelProperty(value = "姓名")
    @ExcelProperty(value = "姓名", index = 1)
    private String name;

    @ApiModelProperty(value = "性别")
    private Integer sex;

    @ApiModelProperty(value = "手机")
    @ExcelProperty(value = "手机", index = 2)
    private String phone;

    @ApiModelProperty(value = "邮箱")
    private String eMail;

    @ApiModelProperty(value = "学校ID")
    private String schoolId;

    @ApiModelProperty(value = "学校名称")
    @ExcelProperty(value = "学校名称", index = 0)
    @TableField(exist = false)
    private String schoolName;

    @ApiModelProperty(value = "学界")
    private String schoolBatch;

    @ApiModelProperty(value = "专业ID")
    private String specialtyId;

    @ApiModelProperty(value = "专业名称")
    @TableField(exist = false)
    private String specialtyName;

    @ApiModelProperty(value = "学号")
    private String studentNo;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateDate;

    @ApiModelProperty(value = "统计信息")
    @TableField(exist = false)
    private TaPersonData personData;
}
