package com.yunzhi.demo.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.demo.entity.TaStudent;
import com.yunzhi.demo.vo.ExportStatisPerson;
import com.yunzhi.demo.vo.StatisPerson;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 人员 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Mapper
public interface TaStudentMapper extends BaseMapper<TaStudent> {

    IPage<StatisPerson> getStudentStatis(IPage<StatisPerson> pg,
                                        @Param("name") String name,
                                        @Param("schoolId") String schoolId,
                                        @Param("specialtyId") String specialtyId,
                                        @Param("asc") String asc,
                                        @Param("desc") String desc);

    IPage<TaStudent> getStudentInfoPagedBy(IPage<TaStudent> pg,
                                          @Param("name") String name,
                                          @Param("schoolId") String schoolId,
                                          @Param("specialtyId") String specialtyId,
                                          @Param("phone") String phone,
                                          @Param("studentNo") String studentNo);

    List<ExportStatisPerson> exportStudentStatis(@Param("name") String name, @Param("schoolId") String schoolId, @Param("specialtyId") String specialtyId);
}
