package com.yunzhi.demo.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.demo.common.Constants;
import com.yunzhi.demo.entity.TaShareSetting;
import com.yunzhi.demo.mapper.TaShareSettingMapper;
import com.yunzhi.demo.service.ITaShareSettingService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 分享设置  服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-04-25
 */
@Service
public class TaShareSettingServiceImpl extends ServiceImpl<TaShareSettingMapper, TaShareSetting> implements ITaShareSettingService {

    @Override
    public TaShareSetting getSettingBy(String targetType, String targetId) {
        QueryWrapper<TaShareSetting> queryWrapper = new QueryWrapper<TaShareSetting>()
                .eq("target_type", targetType)
                .eq("target_id", targetId)
                .gt("status", Constants.STATUS_DELETED)
                .last("limit 1");

        return getOne(queryWrapper);
    }
}
